/*------------------------------------------------------------------------------
-- This file is a part of the QLop Software
-- Copyright (C) 2015, Plasma Physics Laboratory - CNRS
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
-------------------------------------------------------------------------------*/
/*-- Author : Alexis Jeandet
-- Mail : alexis.jeandet@member.fsf.org
----------------------------------------------------------------------------*/
#ifndef CASSINIDATAFILE_H
#define CASSINIDATAFILE_H

#include <QObject>
#include <QThread>
#include <qcustomplot.h>
#include "abstractfileloader.h"
class CassiniDataFile : public AbstractFileLoader
{
  Q_OBJECT
public:
  explicit CassiniDataFile(QObject *parent = 0);
  ~CassiniDataFile();
  void parseFile(const QString& fileName);
  void saveFile(const QString& fileName,QLopDataList data);
  void run();
signals:
  void fileWritten();
public slots:

private :
  void readFile();
  void writeFile();
  bool m_Write;
  QString fileName;
  QLopDataList m_data;
};


#endif // CASSINIDATAFILE_H
